/*! \mainpage

djbdnscurve6
============

is a fork of Dan J. Bernstein's djbdns.

Features
--------

- IPv6 capabilites based on fehQlibs allowing the
  use of compactified IPv6 and LLU addresses.
- Support for TLSA records according to RFC 6698 for tinydns.
- CurveDNS secured query/response for dnscache 
  based on NaCl/libsodium applying and improving Mathew Dempsky's patch.
- rbldns supporting IPv6 addresses.
- Native TLSA/DANE and DKIM support for tinydns.
- Multihoming & dualstack capabilities for the servers.
- Miscellaneous improvements in particular for dnscache.
- Installation according to the slashpackage convention.


Requirements
------------

djbdnscurve6 requires

- fehQlibs (basics and IP socket connectivity).
- NACl or libsodium for encryption/decryption services.
- daemontools for startup and environment.
- Other startup services like systemd can be used with caution.


Packages removed
----------------

- pickdns has been removed.


Unfinished features
-------------------

- tinydns is not yet CurveDNS ready; you need to have a proxy.
- tinydns is UDP only and does not provide DNSSec features.
- rts.test has not been fully adjusted yet (it is IPv4 only),
- EDNS0 partially supported by dnscache.


Erwin Hoffmann, September 2021.
